Bug 1026507 - [abrt] rdiff-backup-1.2.8-11.fc20: connection.py:210:_read:MemoryError
[abrt] rdiff-backup-1.2.8-11.fc20: connection.py:210:_read:MemoryError
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:978251ec7c11cf48e2824fe02d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 15:14 EST by kuchiman
Modified: 2015-06-29 20:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.53 KB, text/plain)
2013-11-04 15:15 EST, kuchiman
no flags Details
File: environ (3.10 KB, text/plain)
2013-11-04 15:15 EST, kuchiman
no flags Details

  None (edit)
Description kuchiman 2013-11-04 15:14:56 EST
Description of problem:
Back up my fedora 20

Version-Release number of selected component:
rdiff-backup-1.2.8-11.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/rdiff-backup /home/roman root@192.168.1.15::/run/media/roman/DiskForBackUp/backup_4_11_2013
executable:     /usr/bin/rdiff-backup
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
connection.py:210:_read:MemoryError

Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 30, in <module>
    rdiff_backup.Main.error_check_Main(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 304, in error_check_Main
    try: Main(arglist)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 324, in Main
    take_action(rps)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 280, in take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 346, in Backup
    backup.Mirror(rpin, rpout)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 38, in Mirror
    DestS.patch(dest_rpath, source_diffiter)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/connection.py", line 450, in __call__
    return apply(self.connection.reval, (self.name,) + args)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/connection.py", line 368, in reval
    result = self.get_response(req_num)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/connection.py", line 315, in get_response
    try: req_num, object = self._get()
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/connection.py", line 240, in _get
    data = self._read(length)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/connection.py", line 210, in _read
    try: return self.inpipe.read(length)
MemoryError

Local variables in innermost frame:
length: 19547609214623863L
self: PipeConnection 1
Comment 1 kuchiman 2013-11-04 15:15:05 EST
Created attachment 819343 [details]
File: backtrace
Comment 2 kuchiman 2013-11-04 15:15:09 EST
Created attachment 819344 [details]
File: environ
Comment 3 Kevin Fenzi 2013-11-04 16:07:51 EST
Can you re-run your backup with '-v 5' and see what file(s) it's working on just before it crashes?
Comment 4 Fedora End Of Life 2015-05-29 05:41:22 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 20:44:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.